.TH CTEDDY 2 "4 May 2008" "0.2" "Cuddly teddy bear"
.SH NAME
cteddy - cuddly teddy bear for your X Window System desktop.
.SH SYNOPSIS
.B cteddy
[
.B \-float \-noquit \-F<file>
]
.SH DESCRIPTION
.I cteddy
is a cuddly teddy bear for your composited X Window System desktop.
.PP
Normally,
.I cteddy
just sits around doing nothing. After all, that's what
teddy bears are for.  Look at him, talk to him, place heavy windows on
top of him, zap him around until he becomes dizzy, do what you like;
he will always be your true (albeit virtual) friend.
.PP
.I
cteddy
was inspired by his older brother \fIxteddy\fP, the primary difference
being that since he was created using Cairo and GTK+, he plays more nicely
with modern composited desktops.  In fact, if run without at least a basic
compositing manager, his appearance will be somewhat spoiled by an ugly
black border.  Try \fIxcompmgr\fP if you do not wish to run a full
compositing window manager.
.PP
You can move
.I cteddy
with the mouse by pointing at him and dragging
him around.  When clicked upon, he will pop up on top of all other
windows.  If you type "q" on him, he will die (or, as I like to think
of it, be tucked away in the file system until you need him next time).
.PP
That's it. But he's cute.
.SH OPTIONS
.TP
.B \-float
Float up on top of overlapping windows.  This will make \fIcteddy\fP
stay in sight at all times, so you won't lose him.  However, this
is a bit intrusive and quite unlike a real teddy bear, so it is not
the default action.
.TP
.B \-stick
Stick to all desktops.  This will make \fIcteddy\fP stay in sight
even when switching desktops, which again could be seen as a bit
intrusive, but a nice trick nonetheless.
.TP
.B \-noquit
Disable the "quit" command (do not quit when typing "q" in the window,
but of course still on explicit window kills or process kills).
.TP
.B \-nosm
Disable session management support.  By default, cteddy will register
himself with your X session manager if you are running one, so that
he automatically comes back next time you log in.
.TP
.B \-nobg
By default, cteddy will detach himself from any terminal to which he
may be attached by forking into the background.  This option turns off
that behaviour.  Implies \fB-nobg\fP.
.TP
.B \-F\fIfile\fP
Display another image instead of \fIxteddy\fP. \fBfile\fP
should refer to an image with a transparent background.  Absolute and
relative file paths will be used as-is if \fBfile\fP contains at least
one "/" character; otherwise,
.I cteddy
searches in $(installation_prefix)/share/cteddy, where
$(installation_prefix) is determined at compile time.
The search does a number of things to the given name, stopping when
a suitable image file is found; prepending and/or replacing leading "c" and "x"
characters, and appending a number of extensions, allowing (for example)
.B
-Fteddy
to refer to xteddy.png, or
.B
-Fdoggy
to refer to cdoggy.png.
.RS
.PP
If no `-F` parameter is given, \fBfile\fP is effectively \fBcteddy\fP \-
or more precisely, the name of the program.  For instance, if there
is a symlink
.RS
.PP
\fBln -s cteddy cpenguin\fP 
.RE
.PP
then \fBfile\fP equals \fBcpenguin\fP and the 
image \fBcpenguin\fP is searched for.
.RE
.SH AUTHOR
Philip Allison <sane@not.co.uk>
.SH CREDITS
Credit for many of the image files included with this program goes to those
kind souls who originally contributed them to \fIxteddy\fP, including
Stefan Gustavson for the original xteddy.png, and indeed the original
\fIxteddy\fP.  Much of the text in this man page comes from
\fIxteddy 2.0.1\fP.  Please see the included README file for more information.
.SH COPYING
.I cteddy
is distributed under the GNU General Public License version 3.
